## libdisplaymigration 0.26

=== Makefile ===
PREFIX = /usr/local
PACKAGE = libdisplaymigration
DEBUG = yes
CVSBUILD = no
VERSION = 0.26

LINGUAS = 

MEMBERS = migrate auth crypt

SONAME = $(PACKAGE).so.0

CFLAGS += -DPREFIX=\"$(PREFIX)\" -DPACKAGE=\"$(PACKAGE)\" -D_GNU_SOURCE -Wall -fPIC
ifeq ($(DEBUG),yes)
CFLAGS += -O2 -g
LDFLAGS += -g
else
CFLAGS += -Os -fomit-frame-pointer
endif
CFLAGS += -MD 

CFLAGS += $(GTKCFLAGS)
LDFLAGS += $(GTKLIBS) -lgcrypt

HEADERS = libdisplaymigration/displaymigration.h libdisplaymigration/auth.h libdisplaymigration/crypt.h

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

all: $(PACKAGE).so

$(PACKAGE).so: $(SONAME)
	ln -sf $^ $@

$(SONAME): $(OBJS)
	$(CC) -nostartfiles -shared -o $@ $^ -Wl,-soname -Wl,$(SONAME) $(LDFLAGS)

.c.s:;
	$(CC) $(CFLAGS) -S $<

install-program: $(SONAME)
	install -d $(DESTDIR)$(PREFIX)/lib
	install -s $(SONAME) $(DESTDIR)$(PREFIX)/lib/$(SONAME)

install-devel:
	for i in $(HEADERS); do install -m 644 -D $$i $(DESTDIR)$(PREFIX)/include/$$i; done
	ln -s $(SONAME) $(DESTDIR)$(PREFIX)/lib/$(PACKAGE).so

clean:
	rm -f $(OBJS) $(SONAME) $(PACKAGE).so $(DEPS)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

## libdisplaymigration 0.28

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PACKAGE = libdisplaymigration
 DEBUG = yes
 CVSBUILD = no
-VERSION = 0.26
+VERSION = 0.28
 
 LINGUAS = 
 
@@ -10,17 +10,9 @@
 
 SONAME = $(PACKAGE).so.0
 
-CFLAGS += -DPREFIX=\"$(PREFIX)\" -DPACKAGE=\"$(PACKAGE)\" -D_GNU_SOURCE -Wall -fPIC
-ifeq ($(DEBUG),yes)
-CFLAGS += -O2 -g
-LDFLAGS += -g
-else
-CFLAGS += -Os -fomit-frame-pointer
-endif
-CFLAGS += -MD 
-
-CFLAGS += $(GTKCFLAGS)
-LDFLAGS += $(GTKLIBS) -lgcrypt
+PACKAGE_CFLAGS += $(STANDARD_CFLAGS) $(GTKCFLAGS) -fPIC
+PACKAGE_CPPFLAGS += -DPREFIX=\"$(PREFIX)\" -DPACKAGE=\"$(PACKAGE)\"
+PACKAGE_LDFLAGS += $(GTKLIBS) -lgcrypt
 
 HEADERS = libdisplaymigration/displaymigration.h libdisplaymigration/auth.h libdisplaymigration/crypt.h
 
@@ -40,10 +32,7 @@
 	ln -sf $^ $@
 
 $(SONAME): $(OBJS)
-	$(CC) -nostartfiles -shared -o $@ $^ -Wl,-soname -Wl,$(SONAME) $(LDFLAGS)
-
-.c.s:;
-	$(CC) $(CFLAGS) -S $<
+	$(CC) -nostartfiles -shared -o $@ $^ -Wl,-soname -Wl,$(SONAME) $(LDFLAGS) $(PACKAGE_LDFLAGS)
 
 install-program: $(SONAME)
 	install -d $(DESTDIR)$(PREFIX)/lib

=== debian/changelog ===
libdisplaymigration (0.28-11) unstable; urgency=medium

  * Modify debian/rules to ensure that hardening LDFLAGS are used.
  * Update standards version.

 -- Moray Allan <moray@debian.org>  Wed, 16 Mar 2016 12:27:44 +0000

libdisplaymigration (0.28-10) unstable; urgency=low

  * Enable multiarch.

 -- Moray Allan <moray@debian.org>  Sun, 25 Mar 2012 14:47:51 +0100

libdisplaymigration (0.28-9) unstable; urgency=low

  * Switch to 3.0 (quilt) source format.
  * Move from cdbs to dh 9.

 -- Moray Allan <moray@debian.org>  Sun, 25 Mar 2012 03:47:10 +0100

libdisplaymigration (0.28-8) unstable; urgency=low

  * Link against libX11.  Closes: #558879.
  * Use --as-needed to avoid unnecessary dependencies.

 -- Moray Allan <moray@debian.org>  Sat, 17 Mar 2012 23:17:30 +0000

libdisplaymigration (0.28-7) unstable; urgency=low

  * Make build process respect DEB_BUILD_OPTIONS=nostrip. Closes: #437347.

 -- Moray Allan <moray@debian.org>  Fri, 16 Nov 2007 17:54:51 +0000

libdisplaymigration (0.28-6) unstable; urgency=low

  * Change -dev package depends to be binNMU safe. Closes: #430107.

 -- Moray Allan <moray@debian.org>  Sat, 14 Jul 2007 14:39:04 +0100

libdisplaymigration (0.28-5) unstable; urgency=low

  * Update watch file.
  * Add -dbg package.

 -- Moray Allan <moray@debian.org>  Sun, 22 Apr 2007 20:19:57 +0100

libdisplaymigration (0.28-4) unstable; urgency=low

  * Remove debian/rules.old file.

 -- Moray Allan <moray@debian.org>  Mon, 17 Apr 2006 22:34:10 +0100

libdisplaymigration (0.28-3) unstable; urgency=medium

  * Move to libgcrypt11. Closes: #263685.

 -- Moray Allan <moray@debian.org>  Thu,  5 Aug 2004 13:27:45 +0100

libdisplaymigration (0.28-2) unstable; urgency=low

  * Specify libgrypt7-dev rather than generic libgcrypt-dev in Build-Depends.

 -- Moray Allan <moray@debian.org>  Thu, 29 Jul 2004 02:09:46 +0100

libdisplaymigration (0.28-1) unstable; urgency=low

  * New upstream release.
  * Use cdbs to build package.

 -- Moray Allan <moray@debian.org>  Sun, 18 Jul 2004 00:07:39 +0100

libdisplaymigration (0.26-3) unstable; urgency=low

  * Change maintainer address.

 -- Moray Allan <moray@debian.org>  Sun, 18 Jan 2004 04:18:37 +0000

libdisplaymigration (0.26-2) unstable; urgency=low

  * Add debian/watch file.

 -- Moray Allan <moray@sermisy.org>  Sun, 28 Sep 2003 00:57:06 +0100

libdisplaymigration (0.26-1) unstable; urgency=low

  * New upstream release.

 -- Moray Allan <moray@sermisy.org>  Sun, 14 Sep 2003 19:09:16 +0100

libdisplaymigration (0.25-1) experimental; urgency=low

  * Initial Release. Closes: #199896.

 -- Moray Allan <moray@sermisy.org>  Sun, 13 Jul 2003 09:41:21 +0100

=== debian/control ===
Source: libdisplaymigration
Section: libs
Priority: optional
Maintainer: Moray Allan <moray@debian.org>
Build-Depends: debhelper (>> 9.0), libgcrypt11-dev, libgtk2.0-dev, libglib2.0-dev
Standards-Version: 3.9.7

Package: libdisplaymigration0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libdisplaymigration0 (= ${binary:Version}), ${misc:Depends}
Description: display migration support for GTK+ [debugging]
 This package contains debugging files for libdisplaymigration, a library
 which provides display migration support for GTK+. X properties are used to
 advertise that windows are capable of migration, and to request windows to
 migrate to a specified display.

Package: libdisplaymigration0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: display migration support for GTK+ [runtime]
 This package contains runtime files for libdisplaymigration, a library
 which provides display migration support for GTK+. X properties are used to
 advertise that windows are capable of migration, and to request windows to
 migrate to a specified display.

Package: libdisplaymigration0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdisplaymigration0 (= ${binary:Version}), ${misc:Depends}
Provides: libdisplaymigration-dev
Description: display migration support for GTK+ [development]
 This package contains development files for libdisplaymigration, a library
 which provides display migration support for GTK+. X properties are used to
 advertise that windows are capable of migration, and to request windows to
 migrate to a specified display.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	echo CFLAGS: $(CFLAGS)
	echo LDFLAGS: $(LDFLAGS)
	dh_auto_build -- DESTDIR=debian/tmp/ PREFIX=/usr LDFLAGS=$(LDFLAGS)

override_dh_auto_install:
	make install install-devel DESTDIR=debian/tmp/ PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_install:
	dh_install

override_dh_strip:
	dh_strip --dbg-package=libdisplaymigration0-dbg

=== debian/watch ===
version=2

http://gpe.linuxtogo.org/download/source/libdisplaymigration-(.*)\.tar\.gz \
	debian	uupdate
